## freezegun 0.3.4

=== Makefile ===
SHELL := /bin/bash

init:
	python setup.py develop
	pip install -r requirements.txt

test:
	rm -f .coverage
	nosetests ./tests/

travis:
	nosetests --with-coverage ./tests/

tdaemon:
	tdaemon -t nose ./tests/ --custom-args="--with-growl"

publish:
	python setup.py sdist bdist_wheel upload

=== requirements.txt ===
coverage
coveralls
nose

## freezegun 0.1.18

=== debian/changelog ===
freezegun (0.1.18-1) unstable; urgency=low

  * Initial release (Closes: #749952)

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 01 Jun 2014 15:15:24 +0100

=== debian/control ===
Source: freezegun
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
Build-Depends: debhelper (>= 9~)
Build-Depends-Indep:
 dh-python,
 python-all (>= 2.6.6-3~),
 python-coverage,
 python-dateutil,
 python-nose,
 python-setuptools,
 python-sure,
 python3-all,
 python3-coverage,
 python3-dateutil,
 python3-nose,
 python3-setuptools,
 python3-sure,
Standards-Version: 3.9.5
Homepage: https://github.com/spulec/freezegun
Vcs-Git: git://anonscm.debian.org/collab-maint/python-freezegun.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-freezegun.git;a=summary

X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Package: python-freezegun
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Recommends: ${python:Recommends}
Description: Python library to mock the datetime module in unit testing
 FreezeGun allows easy mocking of the datetime module by freezing the return
 value of the methods datetime.datetime.now(), datetime.datetime.utcnow(),
 datetime.date.today(), and time.time() to a fixed point in time. Use it
 in unit testing to make the tests deterministic and time-independent.

Package: python3-freezegun
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Description: Python3 library to mock the datetime module in unit testing
 FreezeGun allows easy mocking of the datetime module by freezing the return
 value of the methods datetime.datetime.now(), datetime.datetime.utcnow(),
 datetime.date.today(), and time.time() to a fixed point in time. Use it
 in unit testing to make the tests deterministic and time-independent.

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/f/freezegun/freezegun-([\d\.]*)\.tar\.gz

## freezegun 0.3.4

=== debian/changelog ===
freezegun (0.3.4-1) unstable; urgency=low

  * New upstream release.

 -- Federico Ceratto <federico.ceratto@gmail.com>  Sun, 28 Jun 2015 18:10:47 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-nose,
  python3-setuptools,
  python3-sure,
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: https://github.com/spulec/freezegun
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-freezegun.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-freezegun.git;a=summary

## freezegun 0.3.5

=== debian/changelog ===
freezegun (0.3.5-2) unstable; urgency=low

  * Add build dependencies on Mock (Closes: #802070)

 -- Federico Ceratto <federico@debian.org>  Sun, 18 Oct 2015 22:35:31 +0100

freezegun (0.3.5-1) unstable; urgency=low

  * New upstream release (Closes: #795691)
  * Remove unneded dependencies (Closes: #794233)

 -- Federico Ceratto <federico@debian.org>  Sun, 30 Aug 2015 21:50:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: freezegun
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico.ceratto@gmail.com>
+Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends: debhelper (>= 9~)
 Build-Depends-Indep:
  dh-python,
  python-all (>= 2.6.6-3~),
  python-coverage,
  python-dateutil,
+ python-mock,
  python-nose,
  python-setuptools,
- python-sure,
  python3-all,
  python3-coverage,
  python3-dateutil,
+ python3-mock,
  python3-nose,
  python3-setuptools,
- python3-sure,
 Standards-Version: 3.9.6
 Homepage: https://github.com/spulec/freezegun
 Vcs-Git: git://anonscm.debian.org/collab-maint/python-freezegun.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=freezegun

override_dh_clean:
	dh_auto_clean
	rm -rf *.egg-info build

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests tests; \
	done
	for python in $(shell py3versions -r); do \
		$$python /usr/bin/nosetests tests; \
	done
endif

## freezegun 0.3.6

=== debian/changelog ===
freezegun (0.3.6-1~cloud0) xenial-newton; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 10 Aug 2016 08:49:44 +0000

freezegun (0.3.6-1) unstable; urgency=low

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 18 Feb 2016 23:52:17 +0000

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 override_dh_clean:
 	dh_auto_clean
+	find . -name '*.pyc' -delete -print
 	rm -rf *.egg-info build
 
 %:

## freezegun 0.3.7

=== debian/changelog ===
freezegun (0.3.7-1) unstable; urgency=medium

  * New upstream release
  * Fix test_import_localtime test (Closes: #840847)

 -- Federico Ceratto <federico@debian.org>  Tue, 25 Oct 2016 11:05:01 +1400

=== debian/control ===
--- 
+++ 
@@ -17,10 +17,10 @@
  python3-mock,
  python3-nose,
  python3-setuptools,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/spulec/freezegun
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-freezegun.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-freezegun.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-freezegun.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-freezegun.git
 
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,10 @@
 export DH_VERBOSE=1
 export PYBUILD_NAME=freezegun
 
-override_dh_clean:
+override_dh_auto_clean:
 	dh_auto_clean
 	find . -name '*.pyc' -delete -print
-	rm -rf *.egg-info build
+	rm -rf *.egg-info build .coverage freezegun.egg-info
 
 %:
 	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/freezegun/freezegun-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## freezegun 0.3.9

=== debian/changelog ===
freezegun (0.3.9-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Tue, 03 Oct 2017 12:22:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 9~)
+Build-Depends: debhelper (>= 10~)
 Build-Depends-Indep:
  dh-python,
  python-all (>= 2.6.6-3~),
@@ -17,7 +17,7 @@
  python3-mock,
  python3-nose,
  python3-setuptools,
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: https://github.com/spulec/freezegun
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-freezegun.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-freezegun.git

=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,6 @@
 		$$python /usr/bin/nosetests tests; \
 	done
 endif
+
+override_dh_installchangelogs:
+	dh_installchangelogs CHANGELOG

## freezegun 0.3.10

=== debian/changelog ===
freezegun (0.3.10-2~cloud0) bionic-stein; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 15 Nov 2018 19:27:14 +0000

freezegun (0.3.10-2) unstable; urgency=medium

  * Do not install freezegun/_async.py for Python 2

 -- Federico Ceratto <federico@debian.org>  Tue, 28 Aug 2018 17:25:00 +0100

freezegun (0.3.10-1) unstable; urgency=medium

  * New upstream release (Closes: #907350)

 -- Federico Ceratto <federico@debian.org>  Sun, 26 Aug 2018 22:46:18 +0100

=== debian/rules ===
--- 
+++ 
@@ -22,5 +22,9 @@
 	done
 endif
 
+override_dh_auto_install:
+	dh_auto_install
+	rm -rf $(CURDIR)/debian/python-freezegun/usr/lib/python2.*/dist-packages/freezegun/_async.py
+
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG

## freezegun 0.3.11

=== debian/changelog ===
freezegun (0.3.11-0.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ David Steele ]
  * New upstream release (Closes: #916702)

 -- Dominik George <natureshadow@debian.org>  Sat, 23 Feb 2019 18:57:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper (>= 10~)
+Build-Depends: debhelper (>= 11~)
 Build-Depends-Indep:
  dh-python,
  python-all (>= 2.6.6-3~),
@@ -17,10 +17,10 @@
  python3-mock,
  python3-nose,
  python3-setuptools,
-Standards-Version: 4.1.1
+Standards-Version: 4.2.1
 Homepage: https://github.com/spulec/freezegun
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-freezegun.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-freezegun.git
+Vcs-Git: https://salsa.debian.org/debian/python-freezegun.git
+Vcs-Browser: https://salsa.debian.org/debian/python-freezegun
 
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=freezegun
export PYBUILD_TEST_NOSE=1

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	rm -rf $(CURDIR)/debian/python-freezegun/usr/lib/python2.*/dist-packages/freezegun/_async.py

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/freezegun/freezegun-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## freezegun 0.3.12

=== debian/changelog ===
freezegun (0.3.12-2) unstable; urgency=medium

  * Add X-Python3-Version

 -- Federico Ceratto <federico@debian.org>  Sun, 01 Dec 2019 22:41:09 +0000

freezegun (0.3.12-1) unstable; urgency=medium

  * New upstream release
  * Drop Python2 package (Closes: #936560)

 -- Federico Ceratto <federico@debian.org>  Sun, 01 Dec 2019 15:17:08 +0000

=== debian/control ===
Source: freezegun
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-coverage,
 python3-dateutil,
 python3-mock,
 python3-nose,
 python3-pytest,
 python3-setuptools,
X-Python3-Version: >= 3.6, << 3.8
Standards-Version: 4.4.1.1
Homepage: https://github.com/spulec/freezegun
Vcs-Git: https://salsa.debian.org/debian/python-freezegun.git
Vcs-Browser: https://salsa.debian.org/debian/python-freezegun

Package: python3-freezegun
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Provides: ${python3:Provides}
Recommends: ${python3:Recommends}
Description: Python3 library to mock the datetime module in unit testing
 FreezeGun allows easy mocking of the datetime module by freezing the return
 value of the methods datetime.datetime.now(), datetime.datetime.utcnow(),
 datetime.date.today(), and time.time() to a fixed point in time. Use it
 in unit testing to make the tests deterministic and time-independent.

## freezegun 0.3.15

=== debian/changelog ===
freezegun (0.3.15-1) unstable; urgency=medium

  * New upstream release
  * Python 3.8 support fixed (Closes: #943966, #944026, #950234)
  * Many thanks to Michal Arbet <michal.arbet@ultimum.io>
  * Add autopkgtest

 -- Federico Ceratto <federico@debian.org>  Sun, 08 Mar 2020 15:23:51 +0000

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  python3-nose,
  python3-pytest,
  python3-setuptools,
-X-Python3-Version: >= 3.6, << 3.8
-Standards-Version: 4.4.1.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/spulec/freezegun
 Vcs-Git: https://salsa.debian.org/debian/python-freezegun.git
 Vcs-Browser: https://salsa.debian.org/debian/python-freezegun

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export PYBUILD_NAME=freezegun

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG

=== debian/tests/control ===
Test-Command: pytest-3 -v --capture=no
Depends: @, python3-pytest
Restrictions: allow-stderr

## freezegun 1.1.0

=== Makefile ===
SHELL := /bin/bash

init:
	python setup.py develop
	pip install -r requirements.txt

test:
	rm -f .coverage
	pytest

travis:
	pytest --cov

tdaemon:
	tdaemon -t nose ./tests/ --custom-args="--with-growl"

tag:
	python create_tag.py

publish:
	rm -rf dist
	python -m pep517.build --source --binary .
	twine upload dist/*

venv:
	virtualenv venv
	venv/bin/pip install -r requirements.txt

=== requirements.txt ===
pytest
pytest-coverage
coveralls
maya; python_version >= '3.7'

=== debian/changelog ===
freezegun (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 29 Jan 2022 13:07:17 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
-Build-Depends: debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep:
  dh-python,
  python3-all,
@@ -12,7 +12,8 @@
  python3-nose,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Homepage: https://github.com/spulec/freezegun
 Vcs-Git: https://salsa.debian.org/debian/python-freezegun.git
 Vcs-Browser: https://salsa.debian.org/debian/python-freezegun

## freezegun 1.2.1+actually1.2.1

=== requirements.txt ===
pytest
pytest-coverage
coveralls
python-dateutil >= 2.7
maya; python_version >= '3.7'

=== debian/changelog ===
freezegun (1.2.1+actually1.2.1-1) unstable; urgency=medium

  * New upstream release
  * Cleanup incorrect import (Closes: #1028297)
  * Drop nose dependency (Closes: #1018361)

 -- Federico Ceratto <federico@debian.org>  Mon, 09 Jan 2023 22:25:47 +0000

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,9 @@
  python3-coverage,
  python3-dateutil,
  python3-mock,
- python3-nose,
  python3-pytest,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/spulec/freezegun
 Vcs-Git: https://salsa.debian.org/debian/python-freezegun.git

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,5 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_install:
-	dh_auto_install
-
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG

=== debian/watch ===
version=4

https://github.com/spulec/freezegun/tags .*/v?(\d\S*)\.tar\.gz

## freezegun 1.5.1

=== Makefile ===
SHELL := /bin/bash

init:
	python setup.py develop
	pip install -r requirements.txt

test:
	rm -f .coverage
	pytest

tag:
	python create_tag.py

publish:
	rm -rf dist
	python -m build
	twine upload dist/*

venv:
	virtualenv venv
	venv/bin/pip install -r requirements.txt

=== debian/changelog ===
freezegun (1.5.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix tests for Python 3.13 (thanks, Adrien Nader; closes: #1090225).

 -- Colin Watson <cjwatson@debian.org>  Mon, 20 Jan 2025 11:58:53 +0000

freezegun (1.5.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * source only upload to enable migration (Closes: #1076301)

 -- Paul Gevers <elbrus@debian.org>  Sat, 13 Jul 2024 22:09:45 +0200

freezegun (1.5.1-1) unstable; urgency=medium

  * New upstream release (Closes: #1072876)

 -- Federico Ceratto <federico@debian.org>  Mon, 10 Jun 2024 15:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  python3-all,
  python3-coverage,
  python3-dateutil,
- python3-mock,
  python3-pytest,
  python3-setuptools,
 Standards-Version: 4.6.2

## freezegun 1.5.5

=== debian/changelog ===
freezegun (1.5.5-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 21 Feb 2026 14:48:35 +0100

=== debian/watch ===
Version: 5

Source: https://github.com/spulec/freezegun/tags
Matching-Pattern: .*/v?(\d\S*)\.tar\.gz
